-- | All pass delay line with no interpolation.
module Sound.SC3.UGen.Record.AllpassN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data AllpassN = AllpassN {
  rate :: S.Rate,
  input :: S.UGen,
  maxdelaytime :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
allpassN :: AllpassN
allpassN = AllpassN {
  rate = S.AR,
  input = 0.0,
  maxdelaytime = 0.2,
  delaytime = 0.2,
  decaytime = 1.0
  }
mkAllpassN :: AllpassN -> S.UGen
mkAllpassN (AllpassN r a' b' c' d') = S.mkOsc r "AllpassN" [a',b',c',d'] 1
instance Make AllpassN where
  ugen = mkAllpassN
