-- | Parametric equalizer
module Sound.SC3.UGen.Record.BPeakEQ where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BPeakEQ = BPeakEQ {
  input :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen,
  db :: S.UGen
  } deriving (Show)
bPeakEQ :: BPeakEQ
bPeakEQ = BPeakEQ {
  input = 0.0,
  freq = 1200.0,
  rq = 1.0,
  db = 0.0
  }
mkBPeakEQ :: BPeakEQ -> S.UGen
mkBPeakEQ (BPeakEQ  a' b' c' d') = S.mkOsc S.AR "BPeakEQ" [a',b',c',d'] 1
instance Make BPeakEQ where
  ugen = mkBPeakEQ
