-- | Comb delay line with cubic interpolation.
module Sound.SC3.UGen.Record.CombC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CombC = CombC {
  rate :: S.Rate,
  input :: S.UGen,
  maxdelaytime :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
combC :: CombC
combC = CombC {
  rate = S.AR,
  input = 0.0,
  maxdelaytime = 0.2,
  delaytime = 0.2,
  decaytime = 1.0
  }
mkCombC :: CombC -> S.UGen
mkCombC (CombC r a' b' c' d') = S.mkOsc r "CombC" [a',b',c',d'] 1
instance Make CombC where
  ugen = mkCombC
