-- | Convert signal to modal pitch.
module Sound.SC3.UGen.Record.DegreeToKey where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DegreeToKey = DegreeToKey {
  rate :: S.Rate,
  bufnum :: S.UGen,
  input :: S.UGen,
  octave :: S.UGen
  } deriving (Show)
degreeToKey :: DegreeToKey
degreeToKey = DegreeToKey {
  rate = S.AR,
  bufnum = 0.0,
  input = 0.0,
  octave = 12.0
  }
mkDegreeToKey :: DegreeToKey -> S.UGen
mkDegreeToKey (DegreeToKey r a' b' c') = S.mkOsc r "DegreeToKey" [a',b',c'] 1
instance Make DegreeToKey where
  ugen = mkDegreeToKey
