-- | Tap a delay line from a DelTapWr UGen
module Sound.SC3.UGen.Record.DelTapRd where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DelTapRd = DelTapRd {
  rate :: S.Rate,
  buffer :: S.UGen,
  phase :: S.UGen,
  delTime :: S.UGen,
  interp :: S.UGen
  } deriving (Show)
delTapRd :: DelTapRd
delTapRd = DelTapRd {
  rate = S.AR,
  buffer = 0.0,
  phase = 0.0,
  delTime = 0.0,
  interp = 1.0
  }
mkDelTapRd :: DelTapRd -> S.UGen
mkDelTapRd (DelTapRd r a' b' c' d') = S.mkOsc r "DelTapRd" [a',b',c',d'] 1
instance Make DelTapRd where
  ugen = mkDelTapRd
