-- | Outputs the necessary signal for FFT chains, without doing an FFT on a signal
module Sound.SC3.UGen.Record.FFTTrigger where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FFTTrigger = FFTTrigger {
  buffer :: S.UGen,
  hop :: S.UGen,
  polar :: S.UGen
  } deriving (Show)
fFTTrigger :: FFTTrigger
fFTTrigger = FFTTrigger {
  buffer = 0.0,
  hop = 0.5,
  polar = 0.0
  }
mkFFTTrigger :: FFTTrigger -> S.UGen
mkFFTTrigger (FFTTrigger  a' b' c') = S.mkOsc S.KR "FFTTrigger" [a',b',c'] 1
instance Make FFTTrigger where
  ugen = mkFFTTrigger
