-- | Granulate an input signal
module Sound.SC3.UGen.Record.GrainIn where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data GrainIn = GrainIn {
  trigger :: S.UGen,
  dur :: S.UGen,
  input :: S.UGen,
  pan :: S.UGen,
  envbufnum :: S.UGen,
  maxGrains :: S.UGen
  } deriving (Show)
grainIn :: GrainIn
grainIn = GrainIn {
  trigger = 0.0,
  dur = 1.0,
  input = 0.0,
  pan = 0.0,
  envbufnum = -1.0,
  maxGrains = 512.0
  }
mkGrainIn :: GrainIn -> S.UGen
mkGrainIn (GrainIn  a' b' c' d' e' f') = S.mkOsc S.AR "GrainIn" [a',b',c',d',e',f'] undefined
instance Make GrainIn where
  ugen = mkGrainIn
