-- | Applies the Hilbert transform to an input signal.
module Sound.SC3.UGen.Record.HilbertFIR where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data HilbertFIR = HilbertFIR {
  input :: S.UGen,
  buffer :: S.UGen
  } deriving (Show)
hilbertFIR :: HilbertFIR
hilbertFIR = HilbertFIR {
  input = 0.0,
  buffer = 0.0
  }
mkHilbertFIR :: HilbertFIR -> S.UGen
mkHilbertFIR (HilbertFIR  a' b') = S.mkOsc S.AR "HilbertFIR" [a',b'] 1
instance Make HilbertFIR where
  ugen = mkHilbertFIR
