-- | Finds the (lowest) point in the Buffer at which the input signal lies in-between the two values
module Sound.SC3.UGen.Record.IndexInBetween where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data IndexInBetween = IndexInBetween {
  rate :: S.Rate,
  bufnum :: S.UGen,
  input :: S.UGen
  } deriving (Show)
indexInBetween :: IndexInBetween
indexInBetween = IndexInBetween {
  rate = S.AR,
  bufnum = 0.0,
  input = 0.0
  }
mkIndexInBetween :: IndexInBetween -> S.UGen
mkIndexInBetween (IndexInBetween r a' b') = S.mkOsc r "IndexInBetween" [a',b'] 1
instance Make IndexInBetween where
  ugen = mkIndexInBetween
