-- | Gaussian function oscillator
module Sound.SC3.UGen.Record.LFGauss where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFGauss = LFGauss {
  rate :: S.Rate,
  duration :: S.UGen,
  width :: S.UGen,
  iphase :: S.UGen,
  loop :: S.UGen,
  doneAction :: S.UGen
  } deriving (Show)
lfGauss :: LFGauss
lfGauss = LFGauss {
  rate = S.AR,
  duration = 1.0,
  width = 0.1,
  iphase = 0.0,
  loop = 1.0,
  doneAction = 0.0
  }
mkLFGauss :: LFGauss -> S.UGen
mkLFGauss (LFGauss r a' b' c' d' e') = S.mkOsc r "LFGauss" [a',b',c',d',e'] 1
instance Make LFGauss where
  ugen = mkLFGauss
