-- | Exponential lag
module Sound.SC3.UGen.Record.Lag3UD where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Lag3UD = Lag3UD {
  rate :: S.Rate,
  input :: S.UGen,
  lagTimeU :: S.UGen,
  lagTimeD :: S.UGen
  } deriving (Show)
lag3UD :: Lag3UD
lag3UD = Lag3UD {
  rate = S.AR,
  input = 0.0,
  lagTimeU = 0.1,
  lagTimeD = 0.1
  }
mkLag3UD :: Lag3UD -> S.UGen
mkLag3UD (Lag3UD r a' b' c') = S.mkOsc r "Lag3UD" [a',b',c'] 1
instance Make Lag3UD where
  ugen = mkLag3UD
