-- | Lorenz chaotic generator
module Sound.SC3.UGen.Record.LorenzL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LorenzL = LorenzL {
  freq :: S.UGen,
  s :: S.UGen,
  r :: S.UGen,
  b :: S.UGen,
  h :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen,
  zi :: S.UGen
  } deriving (Show)
lorenzL :: LorenzL
lorenzL = LorenzL {
  freq = 22050.0,
  s = 10.0,
  r = 28.0,
  b = 2.667,
  h = 0.05,
  xi = 0.1,
  yi = 0.0,
  zi = 0.0
  }
mkLorenzL :: LorenzL -> S.UGen
mkLorenzL (LorenzL  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "LorenzL" [a',b',c',d',e',f',g',h'] 1
instance Make LorenzL where
  ugen = mkLorenzL
