-- | Real-time partitioned convolution
module Sound.SC3.UGen.Record.PartConv where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PartConv = PartConv {
  input :: S.UGen,
  fftsize :: S.UGen,
  irbufnum :: S.UGen
  } deriving (Show)
partConv :: PartConv
partConv = PartConv {
  input = 0.0,
  fftsize = 0.0,
  irbufnum = 0.0
  }
mkPartConv :: PartConv -> S.UGen
mkPartConv (PartConv  a' b' c') = S.mkOsc S.AR "PartConv" [a',b',c'] 1
instance Make PartConv where
  ugen = mkPartConv
