-- | General quadratic map chaotic generator
module Sound.SC3.UGen.Record.QuadC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data QuadC = QuadC {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  xi :: S.UGen
  } deriving (Show)
quadC :: QuadC
quadC = QuadC {
  freq = 22050.0,
  a = 1.0,
  b = -1.0,
  c = -0.75,
  xi = 0.0
  }
mkQuadC :: QuadC -> S.UGen
mkQuadC (QuadC  a' b' c' d' e') = S.mkOsc S.AR "QuadC" [a',b',c',d',e'] 1
instance Make QuadC where
  ugen = mkQuadC
