-- | A resonant high pass filter.
module Sound.SC3.UGen.Record.RHPF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RHPF = RHPF {
  rate :: S.Rate,
  input :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
rHPF :: RHPF
rHPF = RHPF {
  rate = S.AR,
  input = 0.0,
  freq = 440.0,
  rq = 1.0
  }
mkRHPF :: RHPF -> S.UGen
mkRHPF (RHPF r a' b' c') = S.mkOsc r "RHPF" [a',b',c'] 1
instance Make RHPF where
  ugen = mkRHPF
