-- | Break a continuous signal into line segments
module Sound.SC3.UGen.Record.Ramp where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Ramp = Ramp {
  rate :: S.Rate,
  input :: S.UGen,
  lagTime :: S.UGen
  } deriving (Show)
ramp :: Ramp
ramp = Ramp {
  rate = S.AR,
  input = 0.0,
  lagTime = 0.1
  }
mkRamp :: Ramp -> S.UGen
mkRamp (Ramp r a' b') = S.mkOsc r "Ramp" [a',b'] 1
instance Make Ramp where
  ugen = mkRamp
