-- | Spreads an array of channels across a ring of channels
module Sound.SC3.UGen.Record.SplayAz where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SplayAz = SplayAz {
  rate :: S.Rate,
  inArray :: S.UGen,
  spread :: S.UGen,
  level :: S.UGen,
  width :: S.UGen,
  center :: S.UGen,
  orientation :: S.UGen,
  levelComp :: S.UGen
  } deriving (Show)
splayAz :: SplayAz
splayAz = SplayAz {
  rate = S.AR,
  inArray = 0.0,
  spread = 1.0,
  level = 1.0,
  width = 2.0,
  center = 0.0,
  orientation = 0.5,
  levelComp = 1.0
  }
mkSplayAz :: SplayAz -> S.UGen
mkSplayAz (SplayAz r a' b' c' d' e' f' g') = S.mkOsc r "SplayAz" [a',b',c',d',e',f',g'] 1
instance Make SplayAz where
  ugen = mkSplayAz
